For the complete documentation index, see llms.txt. This page is also available as Markdown.

GET Cities by Search

Returns cities information that matches your search query.

https://api.sportmonks.com/v3/core/cities/search/{search_query}
{
  "data": {
    "id": 53253,
    "country_id": 32,
    "region_id": 428,
    "name": "Madrid",
    "latitude": "21.9",
    "longitude": "-78.0833333",
    "geonameid": 3117735
  },
Field
Description
Type

id

Refers to the id of the city

integer

country_id

Refers to the country of the city

integer

region

Refers to the region of the city

integer

name

Displays the name of the city

string

latitude

The official latitude of the city

string

longitude

The official lonitude of the city

string

geonameid

The official geo name id of the city

integer

Query Parameters
Required?
Description

api_token

YES

Your unique API token

include

NO

Enrich the API with more data by using includes

select

NO

Select specific fields on the base entity

filters

NO

Filter the API response on multiple related entities. There are static filters and dynamic filters.

Please find the possibilities in the Static and Dynamic Filter tab.

Not applicable for this endpoint.

The dynamic filters are based on entities and includes. Each dynamic filter uses an entity to filter on and one entity to apply the filter on. Below are examples with explanations of how filters are set up. For more information, please look at our Filters page.

Dynamic Filters
Available on Entity
Description
Examples

regions

Coaches, Leagues, Players, Teams, and way more. Check this endpoint for all possibilities.

Filter regions and more based on cities.

&include=regions&filters=regionCities:regionIDS

Pagination

Yes

Include depth

You can use a total of 4 nested includes on this endpoint

Include options

region

Related Entities:

Get an overview and explanation of all the fields returned in the API response. The related entities for the cities' endpoints are:

Code Example

require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/core/cities/search/{search_query}?api_token={your_token}")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/core/cities/search/{search_query}?api_token={your_token}", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))

Last updated

Was this helpful?